var status=0;
var user=null;
function getCRSList(ucode){
  $(".CRSList").empty();
   var url="http://oa.019.net:8889/u/u.php?code="+ucode+"&callback=?";
   var param={};
   $.getJSON(url,param,function(data){ 
      $.each(data,function(i){
          //var temphref=href.replace("[id]",this.id);
          var index=Math.floor(i/3);
          var display="";
          if(index!=0){
            display="style='display:none'";
          }
          var crm_status=""
         // if(this.crm_status==1){
            crm_status='<span class="statusone">空闲</span>';
         // }else{
         //   crm_status='<span class="statusone-out">离线</span>';
         // }
          var item=' <li class="CRSList-'+Math.floor(i/3)+'" '+display+'><div class="servedivimgs">'+
                   ' <div class="leftimgs"> <img src="'+this.avatar+'" />'+
                   '  <div class="zhuan">34.8%</div>'+
                   ' </div>'+
                   ' <div class="righttext">'+
                    '  <p>姓 名：'+this.name+'</p>'+
                    '  <p>工 号：'+this.jobNumber+'</p>'+
                   '   <p>状 态：'+crm_status+'</p>'+
                    '  <p>等 级：'+getStar(this.level)+'</p>'+
                   '   <a href="http://wpa.qq.com/msgrd?v=3&uin='+this.id+'&site=qq&menu=yes" class="link-tel" target="_blank">立即联系</a>'+
                  '  </div>'+
                  '</div>'+
                 ' </li>'; 
         $(".CRSList").append(item);
         
      });
   })
}
//获得等级状态
function getStar(level){

   var stars=""
   for(var i=0;i<level;i++){
       stars+='<img src="images/server-5.png" />';
   }
  return stars;
}

 
 
//根据用户类型显示不同的界面
function showPanelByUserType(){
         
        if(user.userType=="3"){//激活
            
            getCSByUserName(function(data){
                
                 $("#active").css("display","-webkit-box").find(".cs").append(csInfo(data));
            },function(data){//加载投顾
                $("#active").find(".csr").hide().append(csrInfo(data));
            });      
        }else if(user.userType=="5"){//vip
           
            getCSByUserName(function(data){//加载客服
                
                 $("#vip").css("display","-webkit-box").find(".cs").append(csInfo(data));
            },function(data){//加载投顾
                 $("#vip").find(".csr").hide().append(csrInfo(data));
            });
                      
        }else {//普通
          getCRSByUserName(function(data){
               
               $("#bind").css("display","-webkit-box").find(".csr").html(csrInfo(data));
          });
          
        }
}
  
//错误弹框
function dialogError(){
  $("#nouser").show();
}
//获得登录用户
function getUser(){
   
   var param={};
   //$.getJSON(url,param,function(data){
   　 //关闭进度条
       closeLoading();
   //  if(data.code==0){//游客
        
       $("#visitor").css({display:"-webkit-box"}); 
       ucode=tequan[4];
       getCRSList(ucode);

   //  }else{//已经登录
       // user=data.datas.u;
        //var username=data.datas.u.username;
        //var userType=data.datas.u.userType;
		// showPanelByUserType();  
  //   }
   //})
}
//关闭loading
function closeLoading(){
  $("#loding_div").css({display:"none"});
}
$(function(){
  new progress({id:test,margintop:1});
  //获得登录用户
  getUser();  
})